---
title: "Get a job · People · COUNT Partner API"
description: "Returns one of the person's jobs. GET /partners/people/{uuid}/jobs/{jobUuid}"
canonical: "https://developers.getcount.com/reference/people/get-person-job"
source: "https://developers.getcount.com/reference/people/get-person-job"
---
[People](https://developers.getcount.com/reference/people) / Get a job

# Get a job

GET `/partners/people/{uuid}/jobs/{jobUuid}`

Returns one of the person's jobs.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Fpeople%2F%7Buuid%7D%2Fjobs%2F%7BjobUuid%7D)

[Time Entries API](https://developers.getcount.com/reference/time-entries) [Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Tasks API](https://developers.getcount.com/reference/tasks)

#### Path parameters

`uuid` uuid required

The person UUID, the `id` from List people.

`jobUuid` uuid required

The job UUID, the `id` from List a person's jobs.

#### Responses

`200` The job.

`404` Person or job not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET List a person's jobs](https://developers.getcount.com/reference/people/list-person-jobs) [Next POST Create a job](https://developers.getcount.com/reference/people/create-person-job)

GET `https://api.getcount.com/partners/people/{uuid}/jobs/{jobUuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/people/f1a2b3c4-d5e6-4789-a012-3456789abcde/jobs/0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a8e';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/people/f1a2b3c4-d5e6-4789-a012-3456789abcde/jobs/0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a8e`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on fetching employee job.",
  "data": {
    "job": {
      "id": "0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a8e",
      "title": "Barista",
      "primary": true,
      "rate": "25.0000",
      "paymentUnit": "hour",
      "compensationType": "hourly",
      "hireDate": "2026-11-01",
      "employmentStatus": "part_time",
      "jobLocationType": "office",
      "location": {
        "id": "0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a6c",
        "name": "Main Street"
      }
    }
  }
}
```
